---
updatedAt: 2026-06-30T08:05:48.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Payment Gateways

Learn how to manage Payment Gateways

## 1. Endpoints

| Environment | Resource             | Endpoint                                                                                        |
| :---------- | :------------------- | :---------------------------------------------------------------------------------------------- |
| staging     | Authentication Token | <https://id.pipechain-testnet.stargate.is/realms/interswitch-dev/protocol/openid-connect/token> |
| staging     | Api                  | <https://dev-api-pipechain.qa.interswitchng.com>                                                |

## 2. API Calls

### 2.1 Get Payment Gateways

<br />

```
//Gets list of payment gateways.
GET /v2/payment-gateways
```

<br />

##### Query Parameters

> None

##### Responses

| http code | content-type       | response                                 |
| --------- | ------------------ | ---------------------------------------- |
| `200`     | `application/json` | Returns a list of payment gateways       |
| `4xx`     | `application/json` | `{"error": "string","message": "string"` |

<br />